#ifndef DOCTOR_H
#define DOCTOR_H

#include "Patient.h"
#include "Repository.h"

class Doctor{
private:
	char* name;
	Repository<Patient>* patientRepo;
public:
	Doctor(char* n, Repository<Patient>* r);
	Doctor(Doctor &d);
	~Doctor();
	Doctor& operator=(Doctor &d);
	void setName(char* n);
	void addNewPatient(char* n, char* a);
	char* getName();
	char* sortPatientsByName();
	char* getAllPatients();
};
#endif