#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "FlowerFileRepository.h"

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow {
    Q_OBJECT


public:
    MainWindow(QWidget *parent = 0, FlowerFileRepository* r = NULL);
    ~MainWindow();
    void setRep(FlowerFileRepository* r);
    FlowerFileRepository* getRep();

private slots:
    void flowerClicked();
    void removeFlowerClicked();

private:
    Ui::MainWindow *ui;
    FlowerFileRepository *rep;
    void populateFlowerList();
};

#endif // MAINWINDOW_H
