#include "Flower.h"
#include <stdlib.h>
#include <string>
using namespace std;
Flower::Flower(){
	name = NULL;
	price = 0;
}
Flower::Flower(const Flower& f){
	name = new char[strlen(f.name) + 1];
	strcpy(name, f.name);
	price = f.price;
}

Flower::~Flower(){
	if (name){
		delete[] name;
		name = NULL;
	}
}

Flower& Flower::operator=(const Flower& f){
	if (this != &f){
		if (name)
			delete[] name;
		name = new char[strlen(f.name) + 1];
		strcpy(name, f.name);
		price = f.price;
	}
	return *this;
}

void Flower::setName(char* n){
	if (name)
		delete[] name;
	name = new char[strlen(n) + 1];
	strcpy(name, n);
}

void Flower::setPrice(int p){
	price = p;
}

char* Flower::getName(){
	return name;
}

int Flower::getPrice(){
	return price;
}