#ifndef FLOWERFILEREPOSITORY_H
#define FLOWERFILEREPOSITORY_H

#include <list>
#include "Flower.h"

class FlowerFileRepository{
    char* fileName;
    list<Flower> flowerList;
public:
    FlowerFileRepository(char* fileName);
    ~FlowerFileRepository();
    list<Flower> getFlowerList();
    void setFlowerList(list<Flower> l);
    void loadData();
    void saveData();
    Flower* findByName(const char* name);
};

#endif // FLOWERFILEREPOSITORY_H
